Category:  Estimated time: 0.00 hour

Target version:    

Description

This patch enables GitHub Actions to run on stable branches, executing builds for testing and linting.

While GitHub Actions are currently executed for the master branch, they are not yet enabled for stable branches. In particular,

running a complete build, including rubocop and stylelint, for the latest stable branch (6.0-stable) should help prevent mistakes like

those in #42088 and contribute to the overall quality of Redmine.

This patch ensures that necessary builds are executed and succeed for the 6.0, 5.1, and 5.0 stable branches.

Add GitHub Actions workflows for linting and testing

Backport necessary fixes from trunk to ensure linting and testing succeed

The details of the builds for each branch are as follows:

Branch [linters] Rubocop [linters] Stylelint [linters] Audit [tests] Ruby versions

6.0-stable Yes Yes Yes 3.1, 3.2, 3.3

5.1-stable Yes Yes No 3.0, 3.1, 3.2

5.0-stable Yes Yes No 3.0, 3.1

The patches are separated by branch:

Patches for the 6.0-stable branch: 000x-6.0-stable-*.patch

Patches for the 5.1-stable branch: 000x-5.1-stable-*.patch

Patches for the 5.0-stable branch: 000x-5.0-stable-*.patch

Related issues:

Related to Redmine - Feature #30069: Use GitHub Actions as a secondary CI sol... Closed

Associated revisions

Revision 23536 - 2025-03-10 23:29 - Marius BĂLTEANU

Enable GitHub Actions for testing and linting on 6.0-stable branch (#42135).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23537 - 2025-03-10 23:33 - Marius BĂLTEANU

Enable GitHub Actions for testing and linting on 5.1-stable branch (#42135).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23538 - 2025-03-10 23:34 - Marius BĂLTEANU

Backport r22826, r23421 and r22809 from trunk to 5.1-stable (#42135).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2025-01-21 15:07 - Katsuya HIDAKA

- File show-build-status-using-github-actions-results.png added
https://www.redmine.org/issues/42088


I have confirmed that the builds succeed on each branch.

https://github.com/hidakatsuya/redmine/actions

Additionally, by using the GitHub Actions build results, it will be possible to create a simple build status display like the following.

 show-build-status-using-github-actions-results.png 

Displaying this on prominent pages like the top page of the redmine.org Overview or the Continuous_integration page will make it easy for anyone to

track the build status.

#2 - 2025-01-23 02:23 - Go MAEDA

- Target version set to Candidate for next minor release

#3 - 2025-01-23 02:23 - Go MAEDA

- Related to Feature #30069: Use GitHub Actions as a secondary CI solution to run tests through the existing mirroring added

#4 - 2025-01-30 10:13 - Go MAEDA

Thank you for submitting the patch. I would like to commit this patch for stable branches once #30069 is complete.

#5 - 2025-03-10 23:41 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Target version deleted (Candidate for next minor release)

Merged to 6.0-stable and 5.1-stable branches, 5.0-stable receives only security fixes.

Remove from a version because it will be released as part of #30069.
